(* core.sml *)
(* EVALUATION: the eval function *)

structure Core =
struct

local open Syntax
in

exception NoRuleApplies

(* values are terms of the form TmAbs _ or TmVar _ *)

fun eval1 ctx t =
    case t
      of TmApp(TmAbs(x,t12),v2 as (TmAbs _ | TmVar _)) =>
	   termSubstTop v2 t12
       | TmApp(v1 as TmAbs _,t2) =>
	   TmApp(v1, eval1 ctx t2)
       | TmApp(t1,t2) =>
	   TmApp(eval1 ctx t1, t2)
       | _ => raise NoRuleApplies

fun eval ctx t =
    let val t' = eval1 ctx t
     in eval ctx t'
    end
    handle NoRuleApplies => t

end (* local *)
end (* structure Core *)
