signature Untyped_TOKENS =
sig
type ('a,'b) token
type svalue
val VBAR:  'a * 'a -> (svalue,'a) token
val USCORE:  'a * 'a -> (svalue,'a) token
val TRIANGLE:  'a * 'a -> (svalue,'a) token
val STAR:  'a * 'a -> (svalue,'a) token
val SLASH:  'a * 'a -> (svalue,'a) token
val SEMI:  'a * 'a -> (svalue,'a) token
val RSQUARE:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val RCURLY:  'a * 'a -> (svalue,'a) token
val LT:  'a * 'a -> (svalue,'a) token
val LSQUAREBAR:  'a * 'a -> (svalue,'a) token
val LSQUARE:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val LEFTARROW:  'a * 'a -> (svalue,'a) token
val LCURLYBAR:  'a * 'a -> (svalue,'a) token
val LCURLY:  'a * 'a -> (svalue,'a) token
val HASH:  'a * 'a -> (svalue,'a) token
val GT:  'a * 'a -> (svalue,'a) token
val EXISTS:  'a * 'a -> (svalue,'a) token
val EQEQ:  'a * 'a -> (svalue,'a) token
val EQ:  'a * 'a -> (svalue,'a) token
val EOF:  'a * 'a -> (svalue,'a) token
val DOT:  'a * 'a -> (svalue,'a) token
val DDARROW:  'a * 'a -> (svalue,'a) token
val LEFTDARROW:  'a * 'a -> (svalue,'a) token
val DARROW:  'a * 'a -> (svalue,'a) token
val COMMA:  'a * 'a -> (svalue,'a) token
val COLONHASH:  'a * 'a -> (svalue,'a) token
val COLONEQ:  'a * 'a -> (svalue,'a) token
val COLONCOLON:  'a * 'a -> (svalue,'a) token
val COLON:  'a * 'a -> (svalue,'a) token
val BARRSQUARE:  'a * 'a -> (svalue,'a) token
val BARRCURLY:  'a * 'a -> (svalue,'a) token
val BARGT:  'a * 'a -> (svalue,'a) token
val BANG:  'a * 'a -> (svalue,'a) token
val ARROW:  'a * 'a -> (svalue,'a) token
val APOSTROPHE:  'a * 'a -> (svalue,'a) token
val STRINGV: (string) *  'a * 'a -> (svalue,'a) token
val FLOATV: (real) *  'a * 'a -> (svalue,'a) token
val INTV: (int) *  'a * 'a -> (svalue,'a) token
val LCID: (string) *  'a * 'a -> (svalue,'a) token
val UCID: (string) *  'a * 'a -> (svalue,'a) token
val LAMBDA:  'a * 'a -> (svalue,'a) token
end
signature Untyped_LRVALS=
sig
structure Tokens : Untyped_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
